/**
 * ButtonPanel.java - this is the panel of buttons along the top of the board.
 **/
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ButtonPanel extends JPanel {
        private ConnectN game;
	private EventHandler listener;
	private JButton button1;
	private JButton button2;
	private JButton button3;
	private JButton button4;
	private JButton button5;
	private JButton button6;
	private JButton button7;
	private JButton button8;
	private JButton button9;
	private JButton button10;
	private JButton button11;

	public ButtonPanel(ConnectN gm, EventHandler eventlistener)
	{
		this.setBackground(ConnectN.GUICOLOR);
		this.game = gm;		
		this.listener = eventlistener;
		button1 = null;
		button2 = null;
		button3 = null;
		button4 = null;
		button5 = null;
		button6 = null;
		button7 = null;
		button8 = null;
		button9 = null;
		button10 = null;
		button11 = null;
		buildButtons();
	}

	public void buildButtons() {
		GameBoard board = game.getGameBoard();
		
		// Remove previously added buttons
		removeAll();

		//Set the Layout
		this.setLayout( new GridLayout(1,board.getWidth()));


		// Initialize buttons
		button1 = new JButton("1");
		button1.setBackground(ConnectN.GUICOLOR);
		button2 = new JButton("2");
		button2.setBackground(ConnectN.GUICOLOR);
		button3 = new JButton("3");
		button3.setBackground(ConnectN.GUICOLOR);
		button4 = new JButton("4");
		button4.setBackground(ConnectN.GUICOLOR);
		button5 = new JButton("5");
		button5.setBackground(ConnectN.GUICOLOR);
		button6 = new JButton("6");
		button6.setBackground(ConnectN.GUICOLOR);
		if( board.getWidth() >= 7 ){
			button7 = new JButton("7");
			button7.setBackground(ConnectN.GUICOLOR);
		}
		if( board.getWidth() == 11 ){
			button8 = new JButton("8");
			button8.setBackground(ConnectN.GUICOLOR);
			button9 = new JButton("9");
			button9.setBackground(ConnectN.GUICOLOR);
			button10 = new JButton("10");
			button10.setBackground(ConnectN.GUICOLOR);
			button11 = new JButton("11");
			button11.setBackground(ConnectN.GUICOLOR);
		}
		

		// Make buttons use the ActionListener
		button1.addActionListener(listener);
		button2.addActionListener(listener);
		button3.addActionListener(listener);
		button4.addActionListener(listener);
		button5.addActionListener(listener);
		button6.addActionListener(listener);
		if( board.getWidth() >= 7 ){
			button7.addActionListener(listener);
		}
		if( board.getWidth() == 11 ){
			button8.addActionListener(listener);
			button9.addActionListener(listener);
			button10.addActionListener(listener);
			button11.addActionListener(listener);
		}

		//Add the buttons
		add(button1);
		add(button2);
		add(button3);
		add(button4);
		add(button5);
		add(button6);
		if( board.getWidth() >= 7 ){
			add(button7);
		}
		if( board.getWidth() == 11 ){
			add(button8);
			add(button9);
			add(button10);
			add(button11);
		}
	}
}	
